petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscLayoutDuplicate

creates a new PetscLayout with the same information as a given one. If the PetscLayout already exists it is destroyed first.

### Synopsis

    #include "petscis.h"
    PetscErrorCode PetscLayoutDuplicate(PetscLayout in,PetscLayout *out)

Collective on PetscLayout

### Input Parameter

in -input PetscLayout to be duplicated

### Output Parameter

out -the copy

### Notes

PetscLayoutSetUp() does not need to be called on the resulting PetscLayout

### See Also

PetscLayoutCreate(), PetscLayoutDestroy(), PetscLayoutSetUp(), PetscLayoutReference()

### Level

developer

### Location

src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages